Subject: Followup to AR=ar issues

From: Paul Campbell <[email-masked]>
Date: Thu, 10 Nov 2016 13:36:20 +1300

I'm an OpenWRT user - which builds just about everything as cross tools - lots 
of systems don't do AR and RANLIB paths correctly .... and it's not really 
been a problem until recently ....

I'm also an Ubuntu user and until I synced to their latest release OpenWRT 
builds worked great .... now a bunch of stuff fails  .... the underlying 
problem seems to be that now by default ar run on an Intel platform adds a 
SYM64 header to archives even if they only contain 32-bit objects (in my case 
ARM ones) - the older cross tools just throw their hands up and barf

I wonder if a stopgap solution might be to accept that AR is broken in the 
build environments and make ar smarter about what it generates, only adding 
that header if 64-bit objects are there

	Paul